9.3版本的glpi需要composer来管理php依赖(好像是这么说法,说得不对请轻喷),所以服务器需要预先把composer安装好,以下为过程记录,给自己留个笔记:

1、最终效果:
最终效果

2、首先获取glpi的最新源码:有多种途径,我选择从github拉取:

git clone https://github.com/glpi-project/glpi.git

这里给个小贴士:后边想更新glpi源码到最新版本,只需要git pull即可,很方便。

3.1、获取composer:

php -r "copy('https://install.phpcomposer.com/installer', 'composer-setup.php');"

3.2、安装composer:

php composer-setup.php

4、用cd 进glpi目录,用composer补全依赖:

composer install --no-dev

5、GLPI9.3最新简体中文汉化包下载


- 阅读剩余部分 -

glpi插件:康虎报表打印
1、地址:https://github.com/leangjia/glpi_plugins_cfsoft.git

2、新建:

echo "# glpi_plugins_cfsoft" >> README.md
git init
git add README.md
git commit -m "first commit"
git remote add origin https://github.com/leangjia/glpi_plugins_cfsoft.git
git push -u origin master

3、或推送现有代码:

git remote add origin https://github.com/leangjia/glpi_plugins_cfsoft.git
git push -u origin master

详情请加群,直接找群主:
点击链接加入群聊【康虎云报表】:https://jq.qq.com/?_wv=1027&k=5iyWtFq